Skip to main content
POST
/
schedule
/
v1
/
shifts
Create Shift
curl --request POST \
  --url https://api-{region}.sesametime.com/schedule/v1/shifts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "abbreviation": "<string>",
  "color": "<string>",
  "shiftRanges": [
    {
      "startTime": "08:00",
      "endTime": "14:00",
      "order": 123
    }
  ],
  "isOnCall": true,
  "isFullDay": true,
  "onCallType": "<string>",
  "countPlannedTime": true
}
'
{
  "data": "",
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json

Create a Shift

name
string
required
abbreviation
string
required
color
string
required
shiftRanges
object[]
required
isOnCall
boolean
isFullDay
boolean
onCallType
string | null
countPlannedTime
boolean

Response

200 - application/json

Object

data
string
Example:

""

meta
object